Bug 922383 - (CVE-2012-6546) CVE-2012-6546 Kernel: atm: information leak in getsockopt & getsockname
CVE-2012-6546 Kernel: atm: information leak in getsockopt & getsockname
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120815,reported=2...
: Security
Depends On: 922384 922385 922386 922387
Blocks: 858947
  Show dependency treegraph
 
Reported: 2013-03-16 10:38 EDT by Prasad J Pandit
Modified: 2015-07-31 03:01 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 17:22:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-03-16 10:38:38 EDT
Linux kernel built with Asynchronous Transfer Mode(ATM) support is vulnerable
to an information leakage flaw. It occurs when doing getsockopt(SO_AMTPVC)
and getsockname() calls.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/3c0c5cfdcd4d69ffc4b9c0907cec99039f30a50a
 -> https://git.kernel.org/linus/e862f1a9b7df4e8196ebec45ac62295138aa3fc2

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/03/14/21
Comment 1 Prasad J Pandit 2013-03-16 10:55:51 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise MRG 2.

This issue did affect the version of the Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.
Comment 3 errata-xmlrpc 2013-04-16 15:07:43 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0747 https://rhn.redhat.com/errata/RHSA-2013-0747.html
Comment 4 errata-xmlrpc 2013-04-23 14:32:38 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0744 https://rhn.redhat.com/errata/RHSA-2013-0744.html

Note You need to log in before you can comment on or make changes to this bug.